
#
# a minimal test of the VtControl function
#

global fn

proc quitCB {cbs} {
    global fn
    VtDestroy $fn
    VtClose
    exit 0
}

proc shellCB {cbs} {
	global charm

	if {$charm} {
		VtControl -suspend
		set exitCode [system "/bin/ksh"]
		VtControl -resume
	} else {
		set exitCode [system "scoterm"]
	}
}

proc charmCB {cbs} {
	global charm

	if {$charm} {
		VtControl -suspend
		set exitCode [system "cm_help"]
		VtControl -resume
	} else {
		set exitCode [system "scoterm -e cs_help"]
	}
}

proc wserverCB {cbs} {
	VtControl -suspend
	set exitCode [system "vtcl control.tcl"]
	VtControl -resume
}

#
# This was one of the charm/Control crashes
# it was actually a bug in the RowColumn widget
#
proc menuCB {cbs} {
	VtControl -suspend
	set exitCode [system "vtcl menu.tcl"]
	VtControl -resume
}

set top [VtOpen testcontrol]

set fn [VtFormDialog $top.form -title "VtControl Test" -hidden true]

set pbshell [VtPushButton $fn.shell -callback shellCB -label "Shell"]
set pbcharm [VtPushButton $fn.charm -callback charmCB -label "Archaic"]
set pbwserver [VtPushButton $fn.wserver -callback wserverCB -label "Control"]
set pbmenu [VtPushButton $fn.menu -callback menuCB -label "Menu"]
set pbquit [VtPushButton $fn.quit -callback quitCB -label "Exit"]

set charm [VtInfo -charm]

VtShow $fn
VtMainLoop

